BLAKE2_ParameterBlock< true > Struct Reference

BLAKE2b parameter block specialization. More...

## Public Member Functions

| BLAKE2_ParameterBlock (size_t digestSize)
| BLAKE2_ParameterBlock (size_t digestSize, size_t keyLength, const byte *salt, size_t saltLength, const byte *personalization, size_t personalizationLength)

## Public Attributes

byte | digestLength
byte | keyLength
byte | fanout
byte | depth
byte | leafLength [4]
byte | nodeOffset [8]
byte | nodeDepth
byte | innerLength
byte | rfu [14]
byte | salt [SALTSIZE]
byte | personalization [PERSONALIZATIONSIZE]

## Static Public Attributes

static const int | SALTSIZE = BLAKE2_Info<true>::SALTSIZE
static const int | DIGESTSIZE = BLAKE2_Info<true>::DIGESTSIZE
static const int | PERSONALIZATIONSIZE = BLAKE2_Info<true>::PERSONALIZATIONSIZE

## Detailed Description

BLAKE2b parameter block specialization.

Definition at line 60 of file blake2.h.

The documentation for this struct was generated from the following files:

- blake2.h
- blake2.cpp